# Operator FAQ

The EigenLayer Operator installation guide is available [here](https://docs.eigencloud.xyz/products/eigenlayer/operators/howto/operator-installation).

### How do I get whitelisted to run an operator?

To get whitelisted, you need to fill out the form available [here](https://docs.google.com/forms/d/e/1FAIpQLSdH9sgfTz4v33lAvwj6BvYJGAeIshQia3FXz36PFfF-WQAWEQ/viewform) and wait for the Aligned team to approve your request.

### What Strategies Tokens are supported in Mainnet?

The list of supported strategies can be found [here](https://github.com/yetanotherco/aligned_layer/blob/testnet/docs/3_guides/7_contract_addresses.md).

### What RPC should I use?

We suggest you use your own nodes for better performance and reliability. Note that the node must support HTTP and WebSockets.

We also recommend the following RPC providers:

* [Infura](https://infura.io/)
* [Blast](https://blastapi.io/)

Two RPCs are used, one as the main one, and the other one as a fallback in case one node is working unreliably.

Default configurations is set up to use the same public node in both scenarios.

{% hint style="danger" %}
PUBLIC NODES SHOULDN'T BE USED AS THE MAIN RPC. We recommend not using public nodes at all.

FALLBACK AND MAIN RPCs SHOULD BE DIFFERENT.
{% endhint %}

Most of the actions will pass through the main RPC unless there is a problem with it. Events are fetched from both nodes.

### How can I check if the version I'm using is the latest one?

You can check the latest version available on the [releases' page](https://github.com/yetanotherco/aligned_layer/releases).

### How do I check the operator version registered on the Aligned version tracking system?

You can get the registered version of your operator by running the following command:

* Mainnet:

  ```bash
  curl https://mainnet.telemetry.alignedlayer.com/versions/<operator_address>
  ```
* Sepolia:

  ```bash
  curl https://sepolia.telemetry.alignedlayer.com/versions/<operator_address>
  ```
* Hoodi:

  ```bash
  curl https://hoodi.telemetry.alignedlayer.com/versions/<operator_address>
  ```

Replace `<operator_address>` with your operator address.

Also, you can check the operator version in the Explorer:

* [Mainnet Operators Explorer](https://explorer.alignedlayer.com/operators)
* [Sepolia Operators Explorer](https://sepolia.explorer.alignedlayer.com/operators)
* [Hoodi Operators Explorer](https://hoodi.explorer.alignedlayer.com/operators)

### How do I check the operator version locally?

To see the operator version, run:

```bash
./operator/build/aligned-operator --version
```

You have to be in the root `aligned-layer` directory to run this command.

This will show the version of the operator you have built in your filesystem.

### How do I get the ID of the operator?

You can get the ID of the operator by running the following command:

* Mainnet:

  ```bash
  cast call \
      --rpc-url https://ethereum-rpc.publicnode.com \
      0x3CcfB7e6e8fe2A8d941a8Ce4C69A944a770E8228 \
      "getOperatorId(address operator)(bytes32)" <operator_address>
  ```
* Sepolia:

  ```bash
  cast call \
      --rpc-url https://ethereum-sepolia-rpc.publicnode.com \
      0x0Ef1920F089DD02d3A28BF2e34342FD3e74160A3 \
      "getOperatorId(address operator)(bytes32)" <operator_address>
  ```
* Hoodi:

  ```bash
  cast call \
      --rpc-url https://ethereum-hoodi-rpc.publicnode.com \
      0xD06AAf23d136ECBfb5Bdb349Dd7a87aDc74673Dd \
      "getOperatorId(address operator)(bytes32)" <operator_address>
  ```

> Note: You need to have installed [Foundry](https://book.getfoundry.sh/)

This will return the operator ID if the operator is registered, otherwise it will return `0x`.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.alignedlayer.com/operators/1_operator_faq.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
